/**
 * $Id: AffirmType.java,v 1.1.1.1 2000/12/08 08:22:53 pcj Exp $
 *
 * Copyright (C) 2000 Paul Cody Johnston - paul@inxar.org
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
package com.inxar.affirm;

import org.inxar.affirm.*;

/**
 * <code>Affirmation</code> implementation which checks that the value
 * associated with a certain key has a type compatible with the given
 * Class as determined by the
 * </code>java.lang.Class.isInstance(Object)</code> method.  
 */
public class AffirmType
    extends AbstractAffirmation
{
    public AffirmType(Object key, String msg, boolean isFatal, Class type)
    {
    	super(key, msg, isFatal);
    	this.type = type;
    }

    public AffirmType(Object key, String msg, String className) throws Exception
    {
    	this(key, msg, true, Class.forName(className));
    }

    public AffirmType(Object key, String className) throws Exception
    {
    	this(key, "Value is of an incorrect type.", true, Class.forName(className));
    	this.type = type;
    }

    public Object affirm(Object val) throws AffirmationException
    {
	// is it already a boolean?
	if (type.isInstance(val))
	    return val;
	else
	    throw new AffirmationException(msg, isFatal);
    }

    private Class type;
}


