/**
 * $Id: Test1.java,v 1.1.1.1 2000/12/08 08:22:53 pcj Exp $
 *
 * Copyright (C) 2000 Paul Cody Johnston - paul@inxar.org
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
package com.inxar.affirm;

import java.util.Hashtable;
import org.inxar.affirm.*;

/**
 * Test class.
 */
public class Test1
{
    public static void main(String[] argv) throws Exception
    {
        if (argv.length != 1) {
	    System.err.println("Need xml uri as argument");
	    System.exit(1);
       	}

        // make our input
        final Hashtable input = new Hashtable();
        input.put("boolean", "true");
        input.put("byte", "127");
        input.put("short", "16");
        input.put("int", "16");
        input.put("long", "16");
        input.put("float", "16.234");
        input.put("double", "16.32");
        input.put("string", "hello");
        input.put("char", "h");
        input.put("int-range", "4");
        input.put("double-range", "3.4");
        input.put("length", "hello");
        input.put("general", "9");

        // wrap it
        Input _input = new Input() {
        	public Object get(Object key) { return input.get(key); }
        	public String toString() { return input.toString();}
	    };

	// make the Proc
	Proclamation proc = new XMLProclamation(argv[0]);

	// try to validate
	try {
	    Data data = proc.proclaim(_input);
	    System.out.println("**Success**");
	    System.out.println(data.toString());
	} catch (ProclamationException pex) {
	    System.out.println("**Error**");
	    System.out.println("data:");
	    System.out.println(pex.data.toString());
	    System.out.println("errata:");
	    // get an enum
	    java.util.Enumeration e = pex.errata.enumerator();
	    while (e.hasMoreElements()) {
				// get the erratum
		Erratum err = (Erratum)e.nextElement();
		System.out.println("error for key "+err.getKey()+": ");
		Detail detail = err.details();
		do {
                    System.out.print(detail.getMessage());
		} while (detail.hasNext());
		System.out.println();
	    }

	}
    }
}




