/**
 * $Id: Errata.java,v 1.1.1.1 2000/12/08 08:22:53 pcj Exp $
 *
 * Copyright (C) 2000 Paul Cody Johnston - paul@inxar.org
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
package org.inxar.affirm;

/**
 * <code>Errata</code> is the 'error data' analog to the
 * <code>Data</code> interface.  It acts as a map between keys and
 * <code>Erratum</code> objects.  
 */
public interface Errata
{
    /**
     * Enumerates over all the the <code>Erratum</code> objects in the
     * map.  
     */
    java.util.Enumeration enumerator();

    /**
     * Returns the <code>Erratum</code> mapped to the given key or
     * <code>null</code> if the <code>Errata</code> objects does not
     * contain a mapping for that key.  
     */
    Erratum get(Object key);

    /**
     * Returns <code>true</code> if there are no mappings,
     * <code>false</code> otherwise.  
     */
    boolean isEmpty();

    /**
     * Returns the number of key:<code>Erratum</code> mappings in the
     * object.  
     */
    int size();
}

