/**
 * $Id: Erratum.java,v 1.1.1.1 2000/12/08 08:22:53 pcj Exp $
 *
 * Copyright (C) 2000 Paul Cody Johnston - paul@inxar.org
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
package org.inxar.affirm;

/**
 * An <code>Erratum</code> is the 'error' data parallel to the
 * <code>Datum</code> interface.  It acts as a container which holds
 * the key upon which <code>Affirmation</code> failed and a list of
 * <code>Detail</code> objects (typically implemented as a linked
 * list).  To view the error messages the occurred while affirming the
 * key, iterate through the <code>Detail</code> objects.  
 */
public interface Erratum
{
    /**
     * Returns the key upon which these error are relevant.  
     */
    Object getKey();

    /**
     * Returns the head of a linked list that each hold an error
     * message.  
     */
    Detail details();
}


